public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Louis Sautier" <sbraz@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/minidb/
Date: Sat, 21 Jul 2018 14:30:23 +0000 (UTC)	[thread overview]
Message-ID: <1532183408.ebf9e4919796106103cd1a8ff4ee19e78d405b63.sbraz@gentoo> (raw)

commit:     ebf9e4919796106103cd1a8ff4ee19e78d405b63
Author:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
AuthorDate: Sat Jul 21 14:28:51 2018 +0000
Commit:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
CommitDate: Sat Jul 21 14:30:08 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ebf9e491

dev-python/minidb: EAPI=7, add python 3.7

Package-Manager: Portage-2.3.43, Repoman-2.3.10

 dev-python/minidb/minidb-2.0.2-r1.ebuild | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

diff --git a/dev-python/minidb/minidb-2.0.2-r1.ebuild b/dev-python/minidb/minidb-2.0.2-r1.ebuild
new file mode 100644
index 00000000000..51dff2891b1
--- /dev/null
+++ b/dev-python/minidb/minidb-2.0.2-r1.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{4,5,6,7} )
+PYTHON_REQ_USE="sqlite"
+
+inherit distutils-r1
+
+DESCRIPTION="Simple SQLite-based object store"
+HOMEPAGE="https://thp.io/2010/minidb/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="ISC"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+BDEPEND="
+	dev-python/setuptools[${PYTHON_USEDEP}]
+	test? ( dev-python/nose[${PYTHON_USEDEP}] )
+"
+
+python_test() {
+	nosetests test || die "tests failed with ${EPYTHON}"
+}


             reply	other threads:[~2018-07-21 14:30 UTC|newest]

Thread overview: 40+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-07-21 14:30 Louis Sautier [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-05-18  6:11 [gentoo-commits] repo/gentoo:master commit in: dev-python/minidb/ Michał Górny
2024-05-11 10:02 Michał Górny
2024-05-11  9:49 Arthur Zamarin
2024-04-25  4:43 Michał Górny
2023-05-31 19:08 Michał Górny
2022-10-22 16:00 Michał Górny
2022-10-22 15:56 Arthur Zamarin
2022-09-18 16:11 Arthur Zamarin
2022-09-18 16:11 Arthur Zamarin
2022-06-04 19:57 Michał Górny
2022-03-15 14:14 Michał Górny
2022-03-15 11:52 Jakov Smolić
2022-02-17 19:03 Michał Górny
2022-01-29 15:43 Michał Górny
2021-07-12 22:53 Michał Górny
2021-07-12 21:50 Sam James
2021-06-06 13:07 Louis Sautier
2021-05-09 21:57 Louis Sautier
2020-08-24 14:01 Louis Sautier
2020-07-09 12:22 Michał Górny
2020-07-09 12:22 Michał Górny
2020-06-06 19:31 Mart Raudsepp
2020-06-03 15:21 Agostino Sarubbo
2020-06-03 15:10 Agostino Sarubbo
2020-05-03 21:14 Louis Sautier
2020-03-25 13:25 Michał Górny
2020-03-25 13:25 Michał Górny
2020-03-23 22:01 Louis Sautier
2019-12-03  3:02 Aaron Bauman
2018-07-21 14:30 Louis Sautier
2018-06-24 13:57 Louis Sautier
2018-06-18 10:34 Louis Sautier
2017-05-16 23:19 Manuel Rüger
2017-01-16  9:28 David Seifert
2017-01-16  9:28 David Seifert
2016-09-03 22:00 Patrice Clement
2016-07-04  0:05 Göktürk Yüksek
2016-03-29 13:53 Ian Delaney
2016-01-20 14:45 Patrice Clement

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1532183408.ebf9e4919796106103cd1a8ff4ee19e78d405b63.sbraz@gentoo \
    --to=sbraz@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox